///////////////////////////////////////
//  copyright Alexandre Chouvellon 2009
//  Source libre de droit
///////////////////////////////////////
#ifndef DONKEY_H
#define DONKEY_H


///////////////////////////////////////
// Mask d'extraction des id des pieces
///////////////////////////////////////
#define MASK0 0xF000
#define MASK1 0x0F00
#define MASK2 0x00F0
#define MASK3 0x000F

///////////////////////////////////////
// Offset d'extraction des id des pieces
///////////////////////////////////////
#define OFFSET0 12
#define OFFSET1 8
#define OFFSET2 4
#define OFFSET3 0

////////////////////////
// Dimension du plateau
///////////////////////
#define MAX_ROW 5
#define MAX_COL 4

//////////////
// booleens
//////////////
#define EMPTY 0x0
#define TRUE 1
#define FALSE 0
#define UNKNOWN -1


//////////////
// orientation
//////////////

#define TOP     0
#define BOTTOM  1
#define LEFT	2
#define RIGHT	3

////////////
//type
/////////////
#define DOUBLE_HORIZONTAL	2
#define DOUBLE_VERTICAL		3
#define QUAD				4
#define SIMPLE				5

//////////////////////
//  IDs spciaux des pieces 
//////////////////////
#define BLANK1   0
#define BLANK2   1
#define DONKEY  11


///////////
// Langue    FRENCH  ENGLISH
//////////////
#define FRENCH

#endif
