///////////////////////////////////////
//  copyright Alexandre Chouvellon 2009
//  Source libre de droit
///////////////////////////////////////

#ifndef STRUCTURE_FWD_DONKEY_H
#define STRUCTURE_FWD_DONKEY_H

struct Board;
struct Location;
struct Token;

typedef  short int Action;  //            ORIENTATION offset <<4  | cl du token
typedef struct Token Token;
typedef struct Board Board;
typedef struct Location Location;

short int  getIdfromBoard(Board * board, char x , char y);
//le type avec diffrentiation sur les doubles
int  getTokenTypeFromId(short int id);//base on token
//le type sans diffrentiation sur les doubles
int  getTypeFromId(short int id);//base on id
//placement des pices
int  checkAndSetToken(Board *board,short int  id, char i, char j);

//retourn l'action inverse ex=  bouger la piece 5 en haut devient bouger la piece 5 en bas
Action inverseAction( Action a);
void setLocation(Location * location, char r, char c);
void setType(int id, int type);
void copyBoard(Board * source, Board * dest);
void copyLocation(Location * source, Location * dest);
char getLetterFromId( short id);
void setOrRemoveId(Board * board, short int id, char r , char c, char set);
void setRow(Board * board, short row, int rowNb);
short  getRow(Board * board,  int rowNb);
Location *getLocationToken(int id);
#endif
