///////////////////////////////////////
//  copyright Alexandre Chouvellon 2009
//  Source libre de droit
///////////////////////////////////////
#ifndef CHAINEDLIST_H
#define CHAINEDLIST_H

#include  "donkey.h"
#include  "structure.h"
#include  "list.fwd.h"

struct Element
{
   Board board;                     //la reprsentaiton du casse tte par ligne et ID
   long long key1;                  //la cl primaire de recherche  qui remplace les ID par leur type pour gagner en gnricit   <<16   << 12   << 8 <<4 
   short int key2;                  //la cl secondaire construite de la mme manire
   Action actionDone;               //la derniere Action ralise, pour viter de perdre son temps  recherche un coup et juste apres son inverse, cela facilite galement l'affiche de la solution 
   Location blank1;                 //localisation des blancs pour optimiser la recherche des coups
   Location blank2;
   Element * previousState;         //pour afficher la solution
};

struct MyFifoList
{
   ChainedList * start;
   ChainedList * end;
};

struct ChainedList
{
   struct Element * element; //l'lment stock avec toutes les infos utiles, l'adresse est partage avec la fifo liste (optim)
   ChainedList * next;       //l'lment suivant (!!!)
};

#endif
